/* typography.scss */
/* Fonts Import */
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");
/* TIKIT Design System */
/*
    TABLE OF CONTENT

    1. ROOT SETTINGS
    2. TYPOGRAPHY
    3. COLOR SCHEME
    4. BLOCKS
        I. Header (h1 / searchbar / user)
        II. Navigation (Sidebar)
        III. Main
        IV. Tabs Navigation
        V. Form
    5. WIDGETS
        I. Week view
        II. News
        III. Requests
    ...
*/
/*
@import "reset.css";
*/
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");


.ds-section {
	width: 100%;
	padding: 2rem;
	margin-bottom: 2rem;
	border: 1px solid var(--black);
	border-radius: 6px;
	--form-bg: var(--white);
}

#typography>*:not(:first-child) {
	margin-top: 0.5em;
}

#colorScheme>div {
	padding: 1rem;
}

.ds-section-title {
	border-bottom: 1px solid black;
	margin-bottom: 2rem;

}


/*
  1. Use a more-intuitive box-sizing model.
*/
*,
*::before,
*::after {
	box-sizing: border-box;
}


/*
    2. Remove default margin
  */
* {
	margin: 0;
	padding: 0;
}

/*  cacher la scrollbar*/

html::-webkit-scrollbar {
	width: 0px;
	/* Largeur de la barre de défilement */
}


/*
    3. Allow percentage-based heights in the application
  */
/* html,
body {
    height: 100%;
} */


/*
    6. Improve media defaults
  */
img,
picture,
video,
canvas,
svg {
	display: block;
	max-width: 100%;
	transition: rotate 0.2s ease-in-out;
}

/*
    7. Remove built-in form typography styles
  */
input,
button,
textarea,
select {
	font: inherit;
	color: inherit;
}

button {
	cursor: pointer;
}

/*
    8. Avoid text overflows
  */
p,
h1,
h2,
h3,
h4,
h5,
h6 {
	overflow-wrap: break-word;
}

/*
    9. Create a root stacking context
  */
#root,
#__next {
	isolation: isolate;
}


main,
footer,
section,
article {
	display: block;
}

section {
	width: 100%;
	height: auto; /* this parameter is set from 88vh to auto by steve because it is causing confusion in the documentation-components.php styling */
}

/* Temporarily added by steve for testing purposes in resolution of bouton de retour and hr issue in documentation-components.php */
/* début */
hr {
	background-color: #000000 !important; /* this parameter is added by steve to control the color of hr in documentation-components.php*/
	padding-top: 1px; /* this parameter is added by steve to control the padding for hr in documentation-components.php*/
}
/* fin */

/* vars.scss */
:root {
	/* Breakpoints */
	/* Typography */
	font-family: Inter, sans-serif;
	font-size: 8px;
	--font-size-100: 0.625rem;
	--font-size-200: 0.75rem;
	--font-size-250: 0.8rem;
	--font-size-300: 0.875rem;
	--font-size-350: 0.925rem;
	--font-size-400: 1rem;
	--font-size-500: 1.25rem;
	--font-size-550: 1.35rem;

	--font-size-600: 1.5rem;
	--font-size-650: 1.75rem;
	/*--font-size-700: 2.125rem;*/
	--font-size-700: 2rem;

	--font-size-800: 3rem;
	--font-size-900: 3.75rem;
	/* Color variables */
	--white: #ffffff;
	--black: #000000;
	--background: #f8f3ec;
	--surface: #f2e8da;
	--error: #f22222;
	--orange-100: #fde6ca;
	--blue-100: #dce1f4;
	--red-300: #ff7c7c;
	/* Primary 700 */
	--primary-900: #2f40cd;
	--primary-800: #2863ec;
	--primary-700: #2176ff;
	--primary-600: #108aff;
	--primary-500: #0099ff;
	--primary-400: #28a9ff;
	--primary-300: #58b9ff;
	--primary-200: #8dceff;
	--primary-100: #bbe0ff;
	--primary-050: #e3f3ff;
	--primary-variant: #0c1137;
	/* Secondary 400 */
	--secondary-900: #f57826;
	--secondary-800: #f7942e;
	--secondary-700: #f8a431;
	--secondary-600: #fab635;
	--secondary-500: #fbc33a;
	--secondary-400: #fcca46;
	--secondary-300: #fdd661;
	--secondary-200: #fde18d;
	--secondary-100: #feecb9;
	--secondary-050: #fef8e3;
	--secondary-variant: #e3aa4f;
	/* Blue Gray */
	--blue-gray-900: #263238;
	--blue-gray-800: #37474f;
	--blue-gray-700: #455a64;
	--blue-gray-600: #546e7a;
	--blue-gray-500: #607d8b;
	--blue-gray-400: #78909c;
	--blue-gray-300: #90a4ae;
	--blue-gray-200: #b0bec5;
	--blue-gray-100: #cfd8dc;
	--blue-gray-050: #eceff1;
	/* Green */
	--green-900: #09311e;
	--green-600: #08a045;
	--green-400: #54ef92;
	--green-100: #d7eed9;
	/* Dyn colors 0*/
    --dyn-color: #F8F3EC;
	/* Scroll */
	scroll-behavior: smooth;
	scroll-padding-top: 1rem;
}

/* base.scss */

/* Différante couleur en fonction du serveur*/

body.localhost {
	--primary-800: var(--blue-gray-600);
		--primary-900: var(--blue-gray-600);
}

.mainframe {
	display: flex;
}

/*Karim*/
main {
	display: block;
	flex: 1;
	padding: 0 0 0 0;
}

/*main.requests {
	height:80vh;
}*/

main.fullscreen {
	display: flex;
}

/* Styles */
h1 {
	font-size: 4.75rem;
	font-weight: 700;
}

h2 {
	font-size: 3.75rem;
	font-weight: 500;
}

h3 {
	font-size: 3rem;
	font-weight: 500;
}

h4 {
	font-size: 2.125rem;
	font-weight: 400;
}

h5 {
	font-size: 1.5rem;
	font-weight: 500;
}

h6 {
	/*titre des modals (mdp oublier, , des formulaires (request-form, ...-formvalidate, ...-formtreat, etc.)*/
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 24px;

	color: var(--white, #FFF);
}

h6.status-interventions{
	font-size: 16px;
	font-weight: bolder;
	color:#38699C;
}

.subtitle-1 {
	font-size: 1rem;
	font-weight: 400;
}

.subtitle-2 {
	font-size: 0.875rem;
	font-weight: 500;
}

.small {
	font-size: 0.875rem;
	font-weight: 400;
}

.btn {
	display: inline-block;
	font-size: var(--font-size-500);
	font-weight: 600;
	letter-spacing: 1.25px;
	text-transform: uppercase;
	text-decoration: none;
	padding: 0.8rem 2rem;
	border-radius: 6px;
	border: 0 solid transparent;
	display: flex;
	text-align: center;
	justify-content: center;
}

a {
	color: var(--primary-900);
	text-decoration: none;
}


/* colors.scss */

/*bouton transparent cancel*/
.cancel {
	background-color: transparent;
	color: var(--primary-900);
}

.primary {
	background: var(--primary-900);
	color: var(--white);
}

.primary-variant {
	background: var(--primary-variant);
	color: var(--white);
}

.secondary {
	background: var(--secondary-400);
	color: var(--black);
}

.secondary-variant {
	background: var(--secondary-variant);
	color: var(--black);
}

.error {
	background: var(--error);
	color: var(--white);
}

.background {
	background: var(--background);
	color: var(--black);
}

.surface {
	background: var(--surface);
}

.status {
	color: var(--primary-variant);
}

.to-do {
	background: var(--blue-100);
	outline: 1px solid var(--primary-900);
}

.waiting {
	background: var(--blue-gray-100);
	outline: 1px solid var(--primary-variant);
}

.in-progress {
	background: var(--orange-100);
	outline: 1px solid var(--secondary-900);
}

.complete {
	background: var(--green-100);
	outline: 1px solid var(--green-600);
}

.hidden {
	display: none
}


.search-icon-background{
	display: none;
}

aside {
	position: relative;
	max-width: 240px;
	z-index: 100;
}

nav a {
	color: black;
}

/*Karim*/
aside nav {
	position: relative;
	flex: 1;
	background: var(--white);
	height: 90vh;
	border-right: rgb(221, 221, 221) 1px solid;
	width: 240px;
	display: flex;
		flex-direction: column;
		justify-content: space-between;
}

/*Karim*/
.dataTable-container {
	/*Cette valeur est ce qui influence sur l'effet de scrollbar indésirable*/
	/*Elle sert sur la page "Demandes". Elle gère que la hauteur de la longue liste des demandes n'est pas
  plus grande que la hauteur de la page*/
	max-height: 65vh;
}

.is_OpenSideMenu {
	animation-name: openSide;
	animation-duration: 250ms;
	animation-timing-function: cubic-bezier(0, 0.79, 0.88, 0.96);
	animation-iteration-count: 1;
	animation-fill-mode: forwards;

}

.infobulles-stats-container{
	position: absolute;
	top: 5px;
	right: 10px;
	width: 26px;
	height: 26px;
	text-align: left;
}

.infobulles-stats{
	display: inline-block;
	margin: 10px 0 0 0;
	width:auto;
	cursor: pointer;
}

.infobulles-stats h5{
	font-size: 16px;
}

.infobulles-stats-container:hover .content{
	visibility: visible;
}

.infobulles-stats-container .content{
	position: absolute;
	display: inline-block;
	padding:10px;
	top: 45px;
	right: -7px;
	width: auto;
	background:#2176FF;
	border-radius: 5px;
	font-size: 14px;
	color: #fff;
	visibility: hidden;
	box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.3);
	z-index: 1000;
	white-space: nowrap;
}

.infobulles-stats .content::before{
	position: absolute;
	content: '';
	top: -10px;
	right: 10px; 
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	border-bottom: 10px solid #2176FF;
}

@keyframes openSide {
	from {
		width: 80px;
	}

	to {
		width: 240px;
	}
}

.is_ClosedSideMenu {
	animation-name: closeSide;
	animation-duration: 450ms;
	animation-timing-function: cubic-bezier(0, 0.79, 0.88, 0.96);
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

@keyframes closeSide {
	from {
		width: 240px;
	}

	to {
		width: 80px;
	}
}

/*Karim*/
.nav-list {
	list-style: none;
	padding: 0;
	width: 100%;
	min-height: 200px;
	overflow-y: auto;

}

/*Karim
.nav-list::-webkit-scrollbar {
  width: 0;
  display: none;
}
*/

.nav-list-item {
	display: flex;
	align-items: center;
	height: 70px;
	gap: 1rem;
}

.nav-link {
	padding: 0 20px;
	text-decoration: none;
	height: 100%;
	font-size: var(--font-size-400);
	color: var(--primary-900);
	width: 100%;
	display: flex;
	align-items: center;
	transition: all .2s ease-in-out;
}

.nav-link svg {
	fill: var(--primary-900);
	transition: fill .2s ease-in-out;
}

.nav-link:hover,
.nav-list-item.active .nav-link {
	color: var(--white);
	background: var(--primary-900);
}

.nav-link:first-of-type p {
	width: 75%;
	margin-left: 20px;
	line-height: 1.2;
}

.nav-link:hover svg,
.nav-list-item.active .nav-link svg {
	fill: var(--white);
}

.nav-link[title="Audit"] svg {
	stroke: var(--primary-900);
	transition: stroke .2s ease-in-out;
}

.nav-link[title="Audit"]:hover svg,
.nav-list-item.active .nav-link[title="Audit"] svg {
	stroke: var(--white);
}

/*Karim*/
.bottom-btn {
	display: flex;
	align-items: center;
	gap: 1rem;
	/* margin: 20px 10px; */
	margin: 0px 10px 35px 10px;
	padding: 0.8rem 1rem;
	background: var(--primary-050);
	color: var(--primary-variant);
	text-decoration: none;
	border-radius: 0.5rem;
	min-height: 48px;
	bottom: 0px;
	position: relative;
	/*position: absolute;*/

}

.is_ClosedSideMenu > .bottom-btn > span {
	display: none;
}

.collapseMenu {
	position: absolute;
	top: calc(50vh - 110px);
	right: -13px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 24px;
	height: 34px;
	color: var(--blue-gray-300);
	background-color: #fff;
	border-radius: 6px;
	border: 1px solid var(--blue-gray-100);
	box-shadow: 0 0 5px 3px rgba(0, 0, 0, .1);
	cursor: pointer;
	-webkit-user-select: none;
	user-select: none;
	z-index: 1000;
	transition: all .2s ease-in-out;
}

.collapseMenu:hover {
	color: #fff;
	background: var(--primary-900);
}

.collapseMenu span {
	display: inline-block;
	height: 18px;
	transform: rotate(180deg);
	transition: transform .2s ease-in-out .2s;
	font-weight: 500;
	line-height: 1;
}

.collapseMenu.active span {
	transform: rotate(0);
}

/*Karim*/
.page {
	justify-self: flex-end;
	width: 100%;
}

/*Karim
.page::-webkit-scrollbar {
  display: none;
  width: 0;
}*/

/* sassvars.scss */
/* layouts.scss */
.center-panel {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-around;
	width: 100%;
	min-height: 100%;
	max-width: 400px;
	margin: 0 auto;
}

.center-panel .rememberme-forgotpwd {
	display: block;
	flex-wrap: wrap;
	justify-content: space-between;
	width: 100%;
	text-align: center;
	font-size: var(--font-size-300);
}

@media (min-width: 576px) {
	.center-panel .rememberme-forgotpwd {
		display: flex;
		text-align: left;
	}
}

/**** WIDGETS: CALENDRIER ***/
.widget_container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.widget_heures_container {
	display: flex;
	flex-direction: column;
}


/* WIDGET Heures */

#widgetHeureModale {
	position: absolute;
	top: 50px;
	right: -10px;
}

input.input_temps + #widgetHeureModale {
  left: 0;
  right: auto;
}

.widget_hour_container {
	width: 425px;
	background-color: azure;
	border-radius: 14px;
	background-color: rgba(255, 255, 255, 0.9);
	box-shadow: 0px 8px 16px 5px rgba(0, 0, 0, 0.15);
	display: hidden;
	visibility: hidden;
	justify-content: center;
	align-items: center;
	z-index: 10;
	position: relative;
}

input.input_temps + .widget_hour_container {
  width: 290px;
}

.widget_mobile_hour {
	height: 200px;
	width: 200px;
	border-radius: 14px;
}

input.input_temps + .widget_hour_container .widget_mobile_hour {
	padding:25px 0 0 0;
	height: 180px;
  }

.widget_mobile_hour > span{
  display:block;
  width:200px;
  border-radius: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
  /*position: relative;*/
}

.widget_mobile_hour > span p:nth-child(2){
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
  }

.widget_mobile_hour>span>div {
	width: 70px;
	height: 60px;
	margin: 0 12px;
}

.widget_mobile_hour>span>div>div {
	width: 70px;
	height: 60px;
	justify-content: center;
	align-items: center;
	background: #E3F3FF;
	border-radius: 13px;
	box-shadow: 3.78947377204895px 3.78947377204895px 7.5789475440979px 0px rgba(0, 0, 0, 0.09);
}


.widget_mobile_hour>span>div>span {
	cursor: pointer;
	display: block;
	text-align: center;
	padding: 8px 5px;
}

.widget_mobile_hour>span>div>span svg {
	display: block;
	margin: auto;
}

.widget_mobile_hour>p:first-of-type {
	/*width: 220px;*/
	margin: 15px 0 5px 0;
	line-height: normal;
}

.widget_mobile_hour p {
  color: var(--black-high-emphasis, rgba(0, 0, 0, 0.87));
  text-align: center;
  font-size: 24px;
  font-weight: 500;
  line-height: 60px;
  letter-spacing: 0.129px;
  background: transparent;
}

.widget_mobile_hour p::selection { background: transparent; }

.widget_mobile_hour>div>div p {
	color: #3F3F3F;
	font-size: 24px;
	height: 60px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.widget_hour_container a#valid,
.widget_hour_container a#reset {
	cursor: pointer;
	font-size: 14px;
	text-transform: uppercase;
	color: #2176FF;
	position: absolute;
	bottom: 10px;
}

.widget_hour_container a#valid {
	right: 15px;
}

.widget_hour_container a#reset {
	left: 15px;
}

.widget_hour_container a#valid:hover,
.widget_hour_container a#reset:hover {
	transform: scale(1.15);
}


.widget_hour_container a#close {
	position: absolute;
	top: 15px;
	right: 15px;
	cursor: pointer;
}

.widget_hour_container a#close:hover {
	transform: scale(1.15);
}


/* Fin WIDGET Heures */


.widget {
	border: 1px dashed var(--blue-gray-100);
	border-radius: 20px;
	margin-bottom: 1rem;
}

.widget-heading {
	display: flex;
	justify-content: space-between;
	align-items: baseline;
	border-bottom: 1px solid var(--blue-gray-100);
}

/* News 
.news {
  padding: 1rem;
}*/

.news-container {
	padding: 1rem;
}

.news-container:not(:last-child) {
	border-bottom: 1px solid var(--blue-gray-100);
}

.news-title {
	display: flex;
	justify-content: space-between;
}

/* Week view */
.week {
	display: flex;
	width: 100%;
	padding: 1rem;
}

.week button {
	background: none;
	border: none;
}

.carrousel {
	padding: 0 1rem;
	flex: 1;
}

.month {
	font-size: 1rem;
	font-weight: 700;
	color: var(--primary-700);
	text-align: center;
	text-transform: uppercase;
	padding: 0.5rem 0;
	border-bottom: 1px solid var(--blue-gray-200);
}

.week-view {
	display: block;
}

.day {
	flex: 1;
	display: flex;
	flex-direction: column;
	color: var(--blue-gray-900);
}

.day h4 {
	font-size: 16px;
	width: fit-content;
	text-align: center;
	font-weight: 700;
	border-radius: 6px;
	padding: 0.5rem;
	margin: 0.5rem auto;
}

.day.active h4 {
	background: var(--surface);
	color: var(--primary-700);
}

.day-content {
	flex: 1;
	position: relative;
	background: var(--surface);
	padding: 0.5rem;
}

.day-warning {
	position: absolute;
	padding-bottom: 3rem;
	border-radius: 6px;
	;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 0.5rem;
	background: var(--red-300);
	text-align: center;
	border-radius: 0 0 6px 6px;
}

/* tabs.scss */
.tabs-nav ul {
	display: flex;
	padding: 0;
	list-style: none;
}

.tabs-nav li {
	padding: 1rem 2rem;
	border-radius: 6px 6px 0 0;
	cursor: pointer;
}

.tabs-nav li:hover {
	background: var(--surface);
}

.tabs-nav li.active {
	background: var(--background);
}

/* style.scss */


/*****************************************************************/


/**********************----BALISES HTML-----***************************/

html {
	font-size: 8px;
}

body {
	margin: 0 0;
	line-height: 1.5;
	-webkit-font-smoothing: antialiased;
	background: var(--white);
	color: var(--black);
	/* overflow: hidden; */
}

/**********************----LAYOUT-----***************************/


/**********************----MODULES-----***************************/


/**** HEADER ***/

/**** FOOTER ***/

footer {
	background-color: rgba(255, 255, 255, 1.0);
	position: fixed;
	bottom: 0px;
	right: 0px;
	left: 0px;
}

.footer__icons_container {
	display: none;
	height: 50px;
	display: grid;
	justify-items: center;
	align-items: center;
	grid-template-columns: repeat(2, 1fr);
	z-index: 2;
}

.fa-bars {
	display: flex;
	justify-content: center;
	align-items: center;
	border-color: gray;
	border-style: solid;
	border-width: 1px;
}

.footer_modal_button {
	position: fixed;
	height: 80px;
	width: 80px;
	bottom: 36px;
	right: 20px;

	display: flex;
	align-items: center;

	color: var(--white);
	background: var(--primary-900);

	border-radius: 40px;
	box-shadow: 0 3px 3px 1px rgba(0, 0, 0, .3);

	transition: width 0.2s ease-in;
}

.footer_modal_button::before {
	display: flex;
	content: "Nouvelle demande";
	white-space: nowrap;
	font-size: medium;
	font-weight: 500;
	opacity: 0;
	margin-left: 30px;
	margin-top: 26px;
}

.footer_modal_button span {
	
	position: absolute;
	top: -5px;
	right: 21px;
	font-size: 55px;
	font-weight: 600;
}

/*Hover*/
.footer_modal_button:hover,
.footer_modal_button_hover {
	width: 250px;
	transition: width 0.2s ease-in;
}

.footer_modal_button:hover::before {
	opacity: 1;
	transition: 0.1s ease-in 0.2s;
}


/*active*/
.footer_modal_button:active {
	transform: scale(1.02) translateZ(0);
	box-shadow: 0 3px 3px 1px rgba(0, 0, 0, .3);
	transition: all .1s ease-in-out;
}

#footer_modal_Cmd{
	display: none;
}
.requests #footer_modal_Cmd{
	display: block;
}
/************---- MODALE CLASSES COMMUNES A TOUTES LES MODALES  -----***************************/


.alert-danger .errors-list {
	display: block;
	visibility: visible;
}

.alert-danger .errors-list span {
	color: var(--red-300);
}

.alert-danger {
	color: var(--red-300);
}

.wrapper>div:nth-child(2)>.alert-info {
	margin: 0px 10px;
}

.modale_dropZone_dragOver {
	background-color: rgb(113, 233, 97);
}

.modale input[type=file] {
	display: none;
	visibility: hidden;
}

.modale>div>div:nth-child(10) {
	display: flex;
	justify-content: center;
	align-content: center;
	margin: 21px 0;
}

.modale .wrapper {
	height: auto;
	display: block;
	min-width: 320px;
}

.modale>div:last-of-type {
	padding: 10px 0;
	display: flex;
	justify-content: center;
	align-items: center;
	background: var(--Blue-Gray-050, #ECEFF1);
}

.modale .goBackBtn {

	color: #37474F;
	font-size: 18px;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
	text-align: center
}

.modale .btn,
.modale button {
	width: 168px;
	min-width: 100.4px;
	height: 42px;
	min-height: 35px;
	margin: 0 16px;
	border-radius: 12px;
	display: flex;
	justify-content: center;
	align-items: center;
	font-family: Inter;
	font-size: 14px;
	font-style: normal;
	font-weight: 600;
	line-height: 35px;
	/* 250% */
	letter-spacing: 1.25px;
	text-transform: uppercase;
	white-space: nowrap;
}

.btn>a {
	min-width: 138px;
	min-height: 55px;
	text-decoration: none;
	display: flex;
	justify-content: center;
	align-items: center;
}

dialog {
	padding: 0px;
	margin: 0px;
	border: 0px;
	outline: 0px;
	background-color: #e3f3ff;
	z-index: 999999999;
}

dialog::backdrop {
	/*background-color: #2176FF;
	opacity: 0.35;*/
	background-color: rgba(0, 0, 0, 0.945)!important;
}
dialog.dialog-history p {
	padding: 30px;
}
/*Karim*/
/*Ceci sert à mon ticket 331 du Sprint 22*/
.call {
    cursor: pointer;
}

#close_urgence {
	background:none;
	border:none;
	margin-left:60%;
}

#modal_urgence {
	width:698px;
	overflow:initial;
}

#modal_urgence > div:first-of-type {
	/*Karim*/
	margin:/* 24px */ 0px auto 24px auto;
	font-family: Inter;
	font-size: 18px;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
}

.modal_urgence_content {
	margin:24px auto 24px auto;
	width: 80%; /*Normalement Figma dit que ça doit être 600px, mais la modale en soi fait déjà 600px*/
	color: var(--Primary-Variant, #0C1137);
	font-family: Inter;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
}

.onboarding_modalhead{
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: 50px;
	width: 100%;
	padding: 8px;
}

.onboarding_modalhead_titre{
	width: 80%;
	font-size: 22px;
	color : white;
}

.reassign_modal_head{
	padding: 10px;
	background: #546e7a;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}

.reassign_modal_title{
	font-size: 22px;
	color : white;	
}

.reassign_modal_body{
	padding: 30px;
}

.reassign_modal_footer{
	display: flex;
	justify-content: flex-end;
	padding: 10px;
		gap: 15px;
}



#sectors span {
	font-weight: bold;
}

#sectors p a {
	text-decoration: underline;
}

#sector-select{
	min-width:300px;
	font-size: 18px !important;
	font-weight: bolder;
	border-color: #000;
	color: #2F40CD;
}
 
#sector-select option{
	font-size: 14px;
	color:#000;
}


/************---- LISTE DES DEMANDES -----***************************/

/* Karim */
.dataTable-container {
	/*min-height: 375px;*/
	/*height: 68vh;*/
	/*overflow-y: scroll;*/
	overflow-y: auto;
}


/************----CLASSES D ANIMATIONS-----***************************/

/*communes utilisées plusieurs fois*/
.is_visible {
	display: block;
	visibility: visible;
}

.is_Visible_Grid {
	display: grid;
	visibility: visible;
}

.is_Visible_flex {
	display: flex;
	visibility: visible;
}


/******************************/
/*HEADER -- header__searchBar*/
.is_cmdActivated {
	background-color: #2176FF;
	border-width: 1px;
	border-style: solid;
	box-shadow: 3px 4px 5px rgba(0, 0, 0, 0.65);
}

.is_animatedOpen {
	animation-name: open;
	animation-duration: 350ms;
	animation-timing-function: cubic-bezier(0, 0.79, 0.88, 0.96);
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

@keyframes open {
	from {
		width: 0%;
		opacity: 0.5;
	}

	to {
		width: 55%;
		opacity: 1;
	}
}

.is_animatedClose {
	animation-name: close;
	animation-duration: 350ms;
	animation-timing-function: cubic-bezier(0, 0.79, 0.88, 0.96);
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

@keyframes close {
	0% {
		width: 55%;
		opacity: 0.8;
	}

	50% {
		opacity: 0.6;
	}

	100% {
		width: 0%;
		opacity: 0;

	}

}

/******************************/


/******************************/

.is_footer_icon_clicked {
	fill: #2176FF;
}

/*footer - gestion modale*/

.is_modalvisible {
	visibility: visible;
	display: block;
}

.is_modalAnimatedOpen {
	animation-name: modalOpen;
	animation-duration: 2s;
	animation-timing-function: ease-in-out;
	animation-direction: normal;
	animation-fill-mode: forwards;
	animation-iteration-count: 1;
}

.is_modalAnimatedClose {
	animation-name: modalClose;
	animation-duration: 2s;
	animation-timing-function: ease-in-out;
	animation-direction: reverse;
	animation-fill-mode: backwards;
	animation-iteration-count: 1;
}

@keyframes modalOpen {
	from {
		transform: translateY(386px);
	}

	to {
		transform: translateY(200px);

	}
}


/**********************----THEMES-----***************************/


/*****************************************************************/


/**********************----MEDIA QUERRIES-----***************************/


@media only screen and (max-width: 280px) {
	.tabs-nav {
		padding-top: 70px;
	}

	:root {
		/* Breakpoints */
		/* Typography */
		font-family: Inter, sans-serif;
		font-size: 10px;
		--font-size-100: 0.625rem;
		--font-size-200: 0.75rem;
		--font-size-300: 0.875rem;
		--font-size-350: 0.925rem;
		--font-size-400: 1rem;
		--font-size-500: 1.25rem;
		--font-size-600: 1.05rem;
		--font-size-650: 1.35rem;
		--font-size-700: 2.125rem;
		--font-size-800: 3rem;
		--font-size-900: 3.75rem;
	}

	main {
		padding: 0 0;
		/*  width: 50%;*/
	}


	footer {
		display: block;
	}


	.modalHeaderMobile {
		display: flex;
		visibility: visible;
	}

	.modalHeaderDesktop {
		display: none;
		visibility: hidden;
	}

	/*
  .modal_btn_bloqueTravail>div {
    height: 28px;
    width: 53px;
  }

  .modal_btn_bloqueTravail>div>div {
    height: 27.3px;
    width: 27.3px;
  }
  */
}

@media only screen and (min-width: 281px) and (max-width: 380px) {
	.tabs-nav {
		padding-top: 70px;
	}

	main {
		padding: 0 0;
	}

	#modal_heureWidgetInput img,
	.input_salle img {
		display: none;
		visibility: hidden;
	}

	:root {
		/* Breakpoints */
		/* Typography */
		font-family: Inter, sans-serif;
		font-size: 10px;
		--font-size-100: 0.625rem;
		--font-size-200: 0.75rem;
		--font-size-300: 0.875rem;
		--font-size-350: 0.925rem;
		--font-size-400: 1rem;
		--font-size-500: 1.25rem;
		--font-size-600: 1.5rem;
		--font-size-650: 1.6rem;
		--font-size-700: 2.125rem;
		--font-size-800: 3rem;
		--font-size-900: 3.75rem;
	}

	.modalHeaderMobile {
		display: flex;
		visibility: visible;
	}

	.modalHeaderDesktop {
		display: none;
		visibility: hidden;
	}

	footer {
		display: block;
	}

	/*
  .modal_btn_bloqueTravail>div {
    height: 28px;
    width: 53px;
  }

  .modal_btn_bloqueTravail>div>div {
    height: 27.3px;
    width: 27.3px;
  }

  */

}


@media only screen and ((min-width: 381px)) and (max-width: 470px) {


	/*.input_salle label:first-of-type,
	#modal_heureWidgetInput label:first-of-type {
		box-sizing: border-box;
		background: var(--form-bg);
		position: absolute;
		right: 1px;
		top: 50%;
		transform: translateY(-50%);
		padding: 0px 6px;
	}*/

	.tabs-nav {
		padding-top: 70px;
	}

	:root {
		/* Breakpoints */
		/* Typography */
		font-family: Inter, sans-serif;
		font-size: 12px;
		--font-size-100: 0.625rem;
		--font-size-200: 0.75rem;
		--font-size-300: 0.875rem;
		--font-size-350: 0.925rem;
		--font-size-400: 1rem;
		--font-size-500: 1.25rem;
		--font-size-550: 1.33rem;
		--font-size-600: 1.25rem;
		--font-size-650: 1.25rem;
		--font-size-700: 2.125rem;
		--font-size-800: 3rem;
		--font-size-900: 3.75rem;
	}


	.modalHeaderMobile {
		display: flex;
		visibility: visible;
	}

	.modalHeaderDesktop {
		display: none;
		visibility: hidden;
	}

	.modal_btn_bloqueTravail p {
		font-size: 16px;
	}


	main {
		padding: 0 0;
	}


	footer {
		display: block;
	}


	/*
  .header__logo_Tikit {
    min-width: 82.93px;
    height: 45px;
  }
*/


}

@media only screen and (min-width: 471px) and (max-width: 1023px) {
	.tabs-nav {
		padding-top: 61px;
	}

	:root {
		/* Breakpoints */
		/* Typography */
		font-family: Inter, sans-serif;
		font-size: 14px;
		--font-size-100: 0.625rem;
		--font-size-200: 0.75rem;
		--font-size-300: 0.875rem;
		--font-size-350: 0.925rem;
		--font-size-400: 1rem;
		--font-size-500: 1.25rem;
		--font-size-600: 1.05rem;
		--font-size-650: 1.20rem;
		--font-size-700: 2.125rem;
		--font-size-800: 3rem;
		--font-size-900: 3.75rem;
	}


	.modalHeaderMobile {
		display: flex;
		visibility: visible;
	}

	.modalHeaderDesktop {
		display: none;
		visibility: hidden;
	}

	.modal_btn_bloqueTravail p {
		font-size: 17px;
	}

	main {
		padding: 0 0;
	}

	




	/**** FOOTER ***/


	

	.fa-bars {
		display: flex;
		justify-content: center;
		align-items: center;
		border-color: gray;
		border-style: solid;
		border-width: 1px;
	}


	.footer_modal_button img {
		margin: 0 0;
		padding: 0 0;
	}


	.footer_modal_button {
		position: absolute;
		border-radius: 50%;
		height: 60px;
		width: 60px;
		top: -60px;
		right: 20px;
	}

	footer{
		z-index: 2;
	}
}

:root {
	--marginRightToApply: 0px;
}

@media only screen and (min-width: 1024px) {
	
	.input_heure,
	.input_salle {
		min-width: 160px;
	}

	/* .input_container li:hover {
    background-color: var(--blue-gray-050);
  } */

	/* input,
  textarea,
  input[type="date"],
  input[type="time"],
  input[type="text"] {
    font-size: var(--font-size-400);
    font-weight: 400;
    padding-inline: 13px;

  } */

	/* .input_description input {
    min-height: 250px;
  } */


	/*
  #widgetHeureModale {
    position: absolute;
    top: 0%;
    left: 50%;
    transform: translate(-50% , -50%)
  }
*/
	.modale .wrapper {
		display: flex;

	}


	.modale .wrapper>div:first-child,
	.modale .wrapper>div:nth-child(2) {
		padding: 2vh 25px;
	}


	.modale .wrapper>div:first-child,
	.modale .wrapper>div:nth-child(2) {
		width: 50%;
		height: 85vh;
		min-height: 625px;
	}


	.modale .wrapper_fullwidth>div:first-child,
	.modale .wrapper_fullwidth>div:nth-child(2) {
		width: 100% !important;
		height: 83vh !important;
		min-height: 625px !important;
	}


	.modale>div:last-of-type {
		height: 7vh;
		min-height: 40px;
		margin-top: 0px;
		padding: 30px 0px;
		border-top: 1px solid var(--Blue-Gray-200, #B0BEC5);
		display: flex;
		justify-content: flex-end;
		align-items: center;
	}

	.modale>div:last-of-type>button:nth-of-type(2) {
		margin: 0px 40px 0 0;
	}

	.modale>div:last-of-type>button:hover {
		transform: scale(1.1);
	}

	.modale .wrapper>div:nth-child(2)>div:nth-child(2)>div:nth-child(2)>div:first-of-type ul:first-of-type {
		max-height: 375px;
		/*Karim
    overflow-y: scroll;*/
		overflow-y: auto;
	}

	.modale_dropdown_zone {
		margin: 80px 10px 10px 10px;
	}


	.modalHeaderMobile {
		display: none;
		visibility: hidden;
	}

	.modalHeaderDesktop {
		display: flex;
		visibility: visible;
	}

	:root {
		/* Breakpoints */
		/* Typography */
		font-family: Inter, sans-serif;
		font-size: 16px;
		--font-size-100: 0.625rem;
		--font-size-200: 0.75rem;
		--font-size-300: 0.875rem;
		--font-size-350: 0.925rem;
		--font-size-400: 1rem;
		--font-size-500: 1.25rem;
		--font-size-600: 1.5rem;
		--font-size-650: 1.75rem;
		--font-size-700: 2.125rem;
		--font-size-800: 3rem;
		--font-size-900: 3.75rem;
	}

	/* .input_container ul:first-of-type {
    font-size: var(--font-size-400);
  } */


	.menu-container {
	
		visibility: visible;
	}


	main {
		max-height: 100vh;
			/*border-bottom: 1px solid var(--blue-gray-100);*/
	}

	nav.tabs-nav {
		height: 7vh;
		box-shadow: 0px 6px 2px rgba(205, 205, 205, 0.98);
	}

	.page {
		display: flex;
		flex-direction: row;
		min-height: 400px;
		width: 100%;/*calc(100vw - 241px);*/
		justify-self: flex-end;
		margin: 0;
	}

	.page_content{
		display: flex;
		flex-direction: column;
		flex-wrap: nowrap;
		width: 100%;
		transition: width .5s ease-in-out;
	}
.modalscreen .page_content {
	width: 100vw !important;
}

	.login .page {
		width: 100%;
	}

	
	/*Karim
  .page::-webkit-scrollbar {
    display: none;
    width: 0;
  }*/

	.ds-section {
		width: 100%;
		padding: 2rem;
		margin-bottom: 2rem;
		border: 1px solid var(--black);
		border-radius: 6px;
		--form-bg: var(--white);
		border-top: white;
		border-top-right-radius: 0;
		border-top-left-radius: 0;
	}

	.request-container {
		display: flex;
		justify-content: space-between;
		gap: 1rem;
		padding: 1rem;
		border-radius: 6px;
	}

	.week-view {
		display: flex;
		gap: 0.5rem;
	}


	.footer__icons_container {
		display: none;
	}

}

/* Gestion de l'affichage si la table est Vide*/
.datatable_container_empty {
	max-width: 440px;
	margin: 40px auto;
	text-align: center;
	display: flex;
	flex-direction: column;
	row-gap: 20px;
	background-color: var(--surface);
}

/*Affichage du n° de version dans le bas de la page */
/*Karim*/
.version {
	color: var(--blue-gray-400);
	font-size: var(--font-size-200);
	padding-left: 10px;
}
/* Info bulle ne css*/

.tooltip {
	cursor: help !important;
	position: relative;
	
}

.tooltip .tooltiptext {
	visibility: hidden;
	opacity: 0;
	width: fit-content;
	background-color: var(--primary-900);
	color: #fff;
	text-align: left;
	border-radius: 6px;
	padding: 20px 20px;
	line-height: 1.2rem;

	/* Position the tooltip */
	left: -180px;
	position: absolute;
	z-index: 1;
	transition: all .5s ease-in;
}

.tooltip:hover .tooltiptext {
	visibility: visible;
	left: -200px;
	opacity: 1;
	transition: all .2s ease-in;
}
.tooltip-bottom-page {
	cursor: help !important;
	position: relative;

}

.tooltiptext-bottom-page {
	visibility: hidden;
	width: 0px;
	height: 0px;
}

.tooltip-bottom-page:hover {
	opacity: 1 !important;
}

.tooltip-bottom-page .tooltiptext-bottom-page {
	visibility: hidden;
	opacity: 0;
	width: fit-content;
	background-color: var(--blue-gray-400);
	color: #fff;
	text-align: left;
	border-radius: 6px;
	padding: 20px 20px;
	line-height: 1.2rem;

	/* Position the tooltip */
	width: auto;
	height: auto;
	left: -200px;
	top: -160px;
	position: absolute;
	z-index: 1;
	transition: all .5s ease-in;
}

.tooltip-bottom-page:hover .tooltiptext-bottom-page {
	visibility: visible;
	left: -200px;
	top: -100px;
	opacity: 1;
	transition: all .2s ease-in;
	border-radius: 10px;
	text-transform: initial;
}

#overlay {
	display: none;
}

.footer_modal_button_container {
	
	width: 100%;
	position: relative;
		bottom: 0px;
}

/* M E D I A   Q U E R I E S */
/* Ex 600px */
@media only screen and (max-width: 1023px) {
	/*main.requests {
	
	}*/
	
	body.login>footer {
		display: none;
	}
	.tools-header{
		padding: 2em;
	}
	aside nav {
		border-radius:0 0 10px 10px;
		width: 100%;
	}

	#overlay {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		margin-top: 55px;
		background-color: rgba(0, 0, 0, 0.5); /* Grey filter */
		display: none; /* Hidden by default */
		z-index: 998; /* Ensure it is above other elements */
	  }

	.menu-container{
		display: none;
		position: absolute;
		height:fit-content;
		box-sizing:unset;
		box-shadow: none;
		z-index: 999;
		left:0;
	}
	.collapseMenu{
		display: none;
	}
	.dataTable-container {
		max-height: calc(100vh - 105px);
		/*margin-bottom: 35px;*/
	}

	.footer_modal_button_container {
		height: 15px;
		bottom: 0px;
	}
	.footer_modal_button {
		bottom: 118px;
	}
	.footer_modal_button::before {
		opacity: 1;
		margin-left: 0;
	}
    .footer_modal_button.printhidden {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 14px;
		height: 48px;
		width: auto;
		padding: 0px 25px;
	}
	.footer_modal_button.printhidden span {
		/*position: static;*/
		font-size: 25px;
	}
	.footer__icons_container {
		display: flex;
		flex-direction: row;
		justify-content: space-around;
		justify-items: center;
		align-items: center;
		height: 70px;
		bottom: 0px;
		border-top: 1px solid var(--blue-gray-200);
	}
	.footer__icons_container>img {
		height: 50px;
	}
	.footer_mobile_new_request {
		margin-top: -55px;
	}
	.footer_mobile_search {
		cursor: default;
        pointer-events: none;        
        text-decoration: none;
		opacity: 0.8;
	}
	.footer_mobile_search span{
		color: rgb(161, 161, 161);
	}
	.footerInitials {
		position: absolute;
		padding: 3px 1px 0 0;
		font-size: 11px;
		letter-spacing: -1px;
	}
	.icon-text-container {
		display: flex;
		flex-direction: column;
		align-items: center;
		
		width: 65px;
		height: 65px;
		gap: 10px;
	}
	.icon-text {
		font-size: 12px;
		font-weight: 400;
		color: var(--black);
	}
	.footer_mobile_active {
		color: var(--primary-900);
	}
}

.modalscreen .tools-header{
	width: 100%;
	margin: 0;
	background-color: var(--primary-800);
}

.modalscreen .tools-header h2{
	width: 100%;
	margin: 0;
	padding: 16px 24px;
	font-size: 1.75em;
	font-weight: 400;
	color: var(--white);;
	background-color: var(--primary-800);
}
.tools-header h2{
	font-size: 2rem !important;
	font-weight: bold;
	color:#263238;
	padding:0.5em 0
}
.modalscreen .header_navbar,
.modalscreen .demandeList_datatable_nav,
.modalscreen .footer__icons_container,
.modalscreen .footer_modal_button_container{
	display: none;
}
